## org.biojava.bio.seq.io.agave
Class AGAVEAnnotationsHandler

    java.lang.Object
      org.biojava.bio.seq.io.agave.StAXContentHandlerBase
          org.biojava.bio.seq.io.agave.StAXPropertyHandler
              org.biojava.bio.seq.io.agave.AGAVEAnnotationsHandler

All Implemented Interfaces:
  StAXContentHandler

    public class AGAVEAnnotationsHandler

extends StAXPropertyHandler

Author:
  Hanning Ni Doubletwist Inc

Field Summary
`static StAXHandlerFactory` `AGAVE_ANNOTATIONS_HANDLER_FACTORY`

Fields inherited from class org.biojava.bio.seq.io.agave.StAXPropertyHandler
`featureListener, staxenv`

Method Summary

Methods inherited from class org.biojava.bio.seq.io.agave.StAXPropertyHandler
`addHandler, endElement, endElementHandler, getHandlerStackIterator, setHandlerCharacteristics, setProperty, startElement, startElementHandler`

Methods inherited from class org.biojava.bio.seq.io.agave.StAXContentHandlerBase
`characters, endPrefixMapping, endTree, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startPrefixMapping, startTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AGAVE_ANNOTATIONS_HANDLER_FACTORY

    public static final StAXHandlerFactory AGAVE_ANNOTATIONS_HANDLER_FACTORY